import { jsx } from "react/jsx-runtime";
import { TokenBERRY as TokenBERRY$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenBERRY = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "BERRY", "data-name": "TokenBERRY", ...props, children: /* @__PURE__ */ jsx(TokenBERRY$1, { variant }) });
  }
);
TokenBERRY.displayName = "TokenBERRY";
Object.assign(TokenBERRY, { isGdsIcon: true });
export {
  TokenBERRY
};
